[needs-packaging] unity-china-video-scope

Bug #1203931 reported by Jack Yu on 2013-07-23
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Kylin
Critical
Jack Yu
Ubuntu
Wishlist
Unassigned

Bug Description

"unity-china-video-scope" shows Chinese video results searched from youku service (a popular video search engine in China) and other video in video lens of Dash. It will be installed in UbuntuKylin 13.10, a Chinese flavor of Ubuntu.

URL: https://launchpad.net/unity-china-video-scope
License: GPL V3+
Notes: Comes in stable versions (1.1).

Jack Yu (jackyu) on 2013-07-23
Changed in ubuntukylin:
milestone: none → alpha-2
importance: Undecided → High
assignee: nobody → Jack Yu (yj-1325)
Jack Yu (jackyu) on 2013-07-23
Changed in ubuntukylin:
importance: High → Critical
Jack Yu (jackyu) on 2013-07-23
tags: added: needs-packaging
Barry Warsaw (barry) wrote :

Hi. There are a number of issues with the packaging which I think should be fixed before the first upload. If you can fix these, I'm sure myself or another patch pilot would be happy to sponsor the package. Here are a list of things to fix:

You can remove the extraneous files and directories from the debian/ directory. Here are the ones I don't think you need:

 * d/autoreconf.after
 * d/autoreconf.before
 * d/unity-china-video-scope.debhelper.log
 * d/unity-china-video-scope.substvars
 * d/unity-china-video-scope (the entire directory)

Also:

 * Since this is your first upload, you can collapse the 1.0-0ubuntu1 and 1.1-0ubuntu1 entries. Just keep the latest one, but you don't need to describe the individual bugs fixes in 1.1. You should name this bug in the Initial release line though. Something like this:

=== modified file 'debian/changelog'
--- debian/changelog 2013-07-23 01:42:18 +0000
+++ debian/changelog 2013-07-23 20:49:59 +0000
@@ -1,12 +1,5 @@
 unity-china-video-scope (1.1-0ubuntu1) saucy; urgency=low

- * fix bug #1198019 #1198018 #1198017.
+ * Initial release. (LP: #1203931)

  -- shijing <email address hidden> Sat, 20 Jul 2013 17:01:30 +0000
-
-unity-china-video-scope (1.0-0ubuntu1) saucy; urgency=low
-
- * Initial release.
-
- -- shijing <email address hidden> Mon, 1 Jul 2013 15:46:30 +0000
-

You should add a debian/watch file:

=== added file 'debian/watch'
--- debian/watch 1970-01-01 00:00:00 +0000
+++ debian/watch 2013-07-23 20:48:45 +0000
@@ -0,0 +1,2 @@
+version=3
+https://launchpad.net/unity-china-video-scope/+download https://launchpad.net/unity-china-video-scope/.*/unity-china-video-scope-(.*)\.tar\.gz

Also, since this is not a native package, nor is it a source branch, you should consider including just the debian/ directory in the branch. It's confusing to also include the source since the tarball will be downloaded.

Finally, please try to do a local build with either sbuild or pbuilder and review the lintian errors and warnings:

Source package:
Now running lintian...
E: unity-china-video-scope source: source-contains-unsafe-symlink INSTALL
E: unity-china-video-scope source: source-contains-unsafe-symlink compile
E: unity-china-video-scope source: source-contains-unsafe-symlink config.guess
W: unity-china-video-scope source: configure-generated-file-in-source config.log
W: unity-china-video-scope source: configure-generated-file-in-source config.status
E: unity-china-video-scope source: source-contains-unsafe-symlink config.sub
E: unity-china-video-scope source: source-contains-unsafe-symlink depcomp
E: unity-china-video-scope source: source-contains-unsafe-symlink install-sh
E: unity-china-video-scope source: source-contains-unsafe-symlink missing
W: unity-china-video-scope source: missing-field-in-dep5-copyright license (paragraph at line 7)

Binary package
% lintian unity-china-video-scope*.deb
W: unity-china-video-scope: package-relation-with-self enhances: unity-china-video-scope

tags: added: patch-needswork
Brian Murray (brian-murray) wrote :

*** This is an automated message ***

This bug is tagged needs-packaging which identifies it as a request for a new package in Ubuntu. As a part of the managing needs-packaging bug reports specification, https://wiki.ubuntu.com/QATeam/Specs/NeedsPackagingBugs, all needs-packaging bug reports have Wishlist importance. Subsequently, I'm setting this bug's status to Wishlist.

Changed in ubuntu:
importance: Undecided → Wishlist
Jack Yu (jackyu) wrote :

Hi, we have improved the source code according to barry's comments and updated the branch. New tarball also attached.

Jack Yu (jackyu) wrote :

We created a separate /debian branch at https://code.launchpad.net/unity-china-video-scope.

Jack Yu (jackyu) on 2013-07-30
Changed in ubuntukylin:
status: New → In Progress
Changed in ubuntu:
status: New → In Progress
Daniel Holbach (dholbach) wrote :

Uploaded. Sitting in the new queue.

Changed in ubuntu:
status: In Progress → Fix Committed
Jack Yu (jackyu) on 2013-07-30
Changed in ubuntukylin:
status: In Progress → Fix Committed
Jack Yu (jackyu) on 2013-07-31
Changed in ubuntukylin:
milestone: alpha-2 → beta-1
Jack Yu (jackyu) on 2013-08-01
Changed in ubuntu:
status: Fix Committed → Fix Released
Changed in ubuntukylin:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers